List a monitor's alerts
curl --request GET \
--url https://api.galtea.ai/monitors/{monitorId}/alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.galtea.ai/monitors/{monitorId}/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.galtea.ai/monitors/{monitorId}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/monitors/{monitorId}/alerts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/monitors/{monitorId}/alerts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.galtea.ai/monitors/{monitorId}/alerts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/monitors/{monitorId}/alerts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "monitorAlert_123",
"monitorId": "monitor_123",
"ruleId": "monitorAlertRule_123",
"ruleDeletedAt": "2023-11-07T05:31:56Z",
"state": "OPEN",
"openedAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"closeReason": null,
"window": "ONE_HOUR",
"windowStart": "2023-11-07T05:31:56Z",
"windowEnd": "2023-11-07T05:31:56Z",
"metricGroupId": "metricGroup_123",
"metricId": "metric_123",
"specificationId": null,
"specificationName": "Refunds follow the 30-day policy",
"families": [
{
"metricGroupId": "metricGroup_123",
"metricId": "metric_123",
"sampleSize": 40,
"matchCount": 5
}
],
"samplingPercentage": 5,
"threshold": 10,
"clearValue": 6,
"observation": {
"type": "BAD_SESSION_COUNT",
"badSessionScore": 0.5,
"badSessionCount": 12,
"scoredSessionCount": 240
}
}
]{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}List a monitor's alerts
Returns the alerts the rules of this monitor opened, open alerts first, then the newest opened. Alerts of a deleted rule are included.
GET
/
monitors
/
{monitorId}
/
alerts
List a monitor's alerts
curl --request GET \
--url https://api.galtea.ai/monitors/{monitorId}/alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.galtea.ai/monitors/{monitorId}/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.galtea.ai/monitors/{monitorId}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/monitors/{monitorId}/alerts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/monitors/{monitorId}/alerts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.galtea.ai/monitors/{monitorId}/alerts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/monitors/{monitorId}/alerts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "monitorAlert_123",
"monitorId": "monitor_123",
"ruleId": "monitorAlertRule_123",
"ruleDeletedAt": "2023-11-07T05:31:56Z",
"state": "OPEN",
"openedAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"closeReason": null,
"window": "ONE_HOUR",
"windowStart": "2023-11-07T05:31:56Z",
"windowEnd": "2023-11-07T05:31:56Z",
"metricGroupId": "metricGroup_123",
"metricId": "metric_123",
"specificationId": null,
"specificationName": "Refunds follow the 30-day policy",
"families": [
{
"metricGroupId": "metricGroup_123",
"metricId": "metric_123",
"sampleSize": 40,
"matchCount": 5
}
],
"samplingPercentage": 5,
"threshold": 10,
"clearValue": 6,
"observation": {
"type": "BAD_SESSION_COUNT",
"badSessionScore": 0.5,
"badSessionCount": 12,
"scoredSessionCount": 240
}
}
]{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}You are reading the docs of Galtea 5.10. Read this page in the latest version.
Authorizations
Query Parameters
Response
Alerts retrieved successfully
The value at which an open alert closes, from the rule's current settings. A NO_SCORE_RATE alert also needs at least 5 settled sessions in the window to close. Null when the alert is closed, its rule was deleted, or its rule's target, window or bad session score changed. After a threshold-only edit it holds the new clear value.
Example:
6